#!/bin/sh

. install2-init-functions
. shell-config

check(){
	for n in $@; do
		subst 's/X-Alterator-Required=no/X-Alterator-Required=yes/' /var/lib/install3/groups/$n.directory 
		echo 'X-Alterator-Required=yes' >> /var/lib/install3/groups/$n.directory
	done
}

uncheck_all(){
	subst 's/X-Alterator-Required=yes/X-Alterator-Required=no/' /var/lib/install3/groups/*.directory ||:
}

select_profile(){
	mv /var/lib/install3/profiles/$1.directory /var/lib/install3/profiles/0_$1.directory
	uncheck_all
	for n in $(shell_config_get /var/lib/install3/profiles/0_$1.directory X-Alterator-Groups);
	do check $n
	done
}

# Custom: all unchecked
if grep -q '/evms/profiles/none.*action apply' /tmp/wizard.log ; then
	select_profile minimal
fi

# Server
if grep -q '/evms/profiles/server.*action apply' /tmp/wizard.log ; then
	select_profile centaurus-server
fi

# Desktop
if grep -q '/evms/profiles/workstation.*action apply' /tmp/wizard.log ; then
	select_profile centaurus-desktop
fi
